Index: src/Parser/PcpParser_helper.hpp
===================================================================
--- src/Parser/PcpParser_helper.hpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
+++ src/Parser/PcpParser_helper.hpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -0,0 +1,27 @@
+/*
+ * PcpParser_helper.hpp
+ *
+ *  Created on: Oct 27, 2011
+ *      Author: heber
+ */
+
+#ifndef PCPPARSER_HELPER_HPP_
+#define PCPPARSER_HELPER_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include <string>
+
+class ConfigFileBuffer;
+class molecule;
+class periodentafel;
+
+int ParseForParameter(const int verbose, ifstream * const file, const char * const name, const int sequential, const int xth, const int yth, const int type, void * value, const int repetition, const int critical);
+int ParseForParameter(const int verbose, struct ConfigFileBuffer * const FileBuffer, const char * const name, const int sequential, const int xth, const int yth, const int type, void * value, const int repetition, const int critical);
+void LoadMolecule(molecule * const &mol, struct ConfigFileBuffer * const &FileBuffer, const periodentafel * const periode, const bool FastParsing);
+
+
+#endif /* PCPPARSER_HELPER_HPP_ */
Index: src/Parser/Psi3Parser.cpp
===================================================================
--- src/Parser/Psi3Parser.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/Parser/Psi3Parser.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -28,13 +28,11 @@
 
 #include "atom.hpp"
-#include "config.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/toString.hpp"
 #include "Element/element.hpp"
 #include "Element/periodentafel.hpp"
+#include "LinearAlgebra/Vector.hpp"
 #include "molecule.hpp"
 #include "MoleculeListClass.hpp"
-#include "CodePatterns/Log.hpp"
-#include "CodePatterns/toString.hpp"
-#include "CodePatterns/Verbose.hpp"
-#include "LinearAlgebra/Vector.hpp"
 #include "World.hpp"
 
@@ -60,5 +58,5 @@
 {}
 
-/** Load an MPQC config file into the World.
+/** Load an PSI3 config file into the World.
  * \param *file input stream
  */
@@ -155,5 +153,5 @@
 }
 
-/** Saves all atoms and data into a MPQC config file.
+/** Saves all atoms and data into a PSI3 config file.
  * \param *file output stream
  * \param atoms atoms to store
Index: src/ThermoStatContainer.cpp
===================================================================
--- src/ThermoStatContainer.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/ThermoStatContainer.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -22,9 +22,7 @@
 #include <cstring>
 
-#include "ConfigFileBuffer.hpp"
-#include "config.hpp"
 #include "CodePatterns/Log.hpp"
 #include "ThermoStatContainer.hpp"
-#include "CodePatterns/Verbose.hpp"
+#include "Parser/ConfigFileBuffer.hpp"
 
 #include <Thermostats/Berendsen.hpp>
Index: src/Thermostats/Berendsen.cpp
===================================================================
--- src/Thermostats/Berendsen.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/Thermostats/Berendsen.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -14,9 +14,10 @@
 
 #include "Berendsen.hpp"
+
+#include "CodePatterns/Log.hpp"
+#include "config.hpp"
 #include "Element/element.hpp"
-#include "config.hpp"
-#include "CodePatterns/Verbose.hpp"
-#include "CodePatterns/Log.hpp"
 #include "Helpers/defs.hpp"
+#include "Parser/PcpParser_helper.hpp"
 #include "ThermoStatContainer.hpp"
 #include "World.hpp"
Index: src/Thermostats/GaussianThermostat.cpp
===================================================================
--- src/Thermostats/GaussianThermostat.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/Thermostats/GaussianThermostat.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -14,11 +14,12 @@
 
 #include "GaussianThermostat.hpp"
+
+#include "AtomSet.hpp"
 #include "CodePatterns/Log.hpp"
-#include "CodePatterns/Verbose.hpp"
+#include "config.hpp"
+#include "Element/element.hpp"
 #include "Helpers/defs.hpp"
 #include "LinearAlgebra/Vector.hpp"
-#include "AtomSet.hpp"
-#include "Element/element.hpp"
-#include "config.hpp"
+#include "Parser/PcpParser_helper.hpp"
 #include "World.hpp"
 
Index: src/Thermostats/Langevin.cpp
===================================================================
--- src/Thermostats/Langevin.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/Thermostats/Langevin.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -14,8 +14,8 @@
 
 #include "Langevin.hpp"
+
+#include "CodePatterns/Log.hpp"
+#include "Parser/PcpParser_helper.hpp"
 #include "Element/element.hpp"
-#include "config.hpp"
-#include "CodePatterns/Verbose.hpp"
-#include "CodePatterns/Log.hpp"
 #include "Helpers/defs.hpp"
 #include "ThermoStatContainer.hpp"
Index: src/Thermostats/NoseHoover.cpp
===================================================================
--- src/Thermostats/NoseHoover.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/Thermostats/NoseHoover.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -15,9 +15,9 @@
 #include "NoseHoover.hpp"
 
+#include "CodePatterns/Log.hpp"
+#include "config.hpp"
 #include "Element/element.hpp"
-#include "config.hpp"
-#include "CodePatterns/Verbose.hpp"
-#include "CodePatterns/Log.hpp"
 #include "Helpers/defs.hpp"
+#include "Parser/PcpParser_helper.hpp"
 #include "ThermoStatContainer.hpp"
 #include "World.hpp"
Index: src/Thermostats/Woodcock.cpp
===================================================================
--- src/Thermostats/Woodcock.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/Thermostats/Woodcock.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -15,9 +15,8 @@
 #include "Woodcock.hpp"
 
+#include "CodePatterns/Log.hpp"
 #include "Element/element.hpp"
-#include "config.hpp"
-#include "CodePatterns/Verbose.hpp"
-#include "CodePatterns/Log.hpp"
 #include "Helpers/defs.hpp"
+#include "Parser/PcpParser_helper.hpp"
 #include "ThermoStatContainer.hpp"
 
Index: src/UIElements/TextUI/TextWindow.cpp
===================================================================
--- src/UIElements/TextUI/TextWindow.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/UIElements/TextUI/TextWindow.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -42,8 +42,4 @@
 #include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
-
-// all needed due to config::SaveAll()
-#include "config.hpp"
-#include "Element/periodentafel.hpp"
 
 // needed due to Enumerate()
Index: src/config.cpp
===================================================================
--- src/config.cpp	(revision 47d0416c5a62d6d7eb14391e14c7f3f576fb1673)
+++ src/config.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -19,28 +19,9 @@
 #include "CodePatterns/MemDebug.hpp"
 
-#include <stdio.h>
 #include <cstring>
-#include <iostream>
-#include <boost/tokenizer.hpp>
-#include <string>
 
-#include "atom.hpp"
-#include "Bond/bond.hpp"
-#include "Box.hpp"
-#include "CodePatterns/Info.hpp"
-#include "CodePatterns/Log.hpp"
-#include "CodePatterns/toString.hpp"
-#include "CodePatterns/Verbose.hpp"
 #include "config.hpp"
-#include "ConfigFileBuffer.hpp"
-#include "Element/element.hpp"
-#include "Element/periodentafel.hpp"
-#include "Graph/BondGraph.hpp"
-#include "Helpers/helpers.hpp"
-#include "LinearAlgebra/RealSpaceMatrix.hpp"
-#include "molecule.hpp"
-#include "MoleculeListClass.hpp"
-#include "ThermoStatContainer.hpp"
-#include "World.hpp"
+
+#include "Helpers/defs.hpp"
 
 /************************************* Functions for class config ***************************/
@@ -49,70 +30,13 @@
  */
 config::config() :
-  PsiType(0),
-  MaxPsiDouble(0),
-  PsiMaxNoUp(0),
-  PsiMaxNoDown(0),
-  MaxMinStopStep(1),
-  InitMaxMinStopStep(1),
-  ProcPEGamma(8),
-  ProcPEPsi(1),
-  configname(NULL),
+  databasepath(NULL),
+  defaultpath(NULL),
   FastParsing(false),
-  Deltat(0.01),
-  databasepath(NULL),
-  DoConstrainedMD(0),
-  MaxOuterStep(0),
-  mainname(NULL),
-  defaultpath(NULL),
-  pseudopotpath(NULL),
-  DoOutVis(0),
-  DoOutMes(1),
-  DoOutNICS(0),
-  DoOutOrbitals(0),
-  DoOutCurrent(0),
-  DoFullCurrent(0),
-  DoPerturbation(0),
-  DoWannier(0),
-  CommonWannier(0),
-  SawtoothStart(0.01),
-  VectorPlane(0),
-  VectorCut(0.),
-  UseAddGramSch(1),
-  Seed(1),
-  OutVisStep(10),
-  OutSrcStep(5),
-  MaxPsiStep(0),
-  EpsWannier(1e-7),
-  MaxMinStep(100),
-  RelEpsTotalEnergy(1e-7),
-  RelEpsKineticEnergy(1e-5),
-  MaxMinGapStopStep(0),
-  MaxInitMinStep(100),
-  InitRelEpsTotalEnergy(1e-5),
-  InitRelEpsKineticEnergy(1e-4),
-  InitMaxMinGapStopStep(0),
-  ECut(128.),
-  MaxLevel(5),
-  RiemannTensor(0),
-  LevRFactor(0),
-  RiemannLevel(0),
-  Lev0Factor(2),
-  RTActualUse(0),
-  AddPsis(0),
-  RCut(20.),
-  StructOpt(0),
   IsAngstroem(1),
-  RelativeCoord(0),
-  MaxTypes(0)
+  Deltat(0.01)
 {
-  mainname = new char[MAXSTRINGSIZE];
   defaultpath = new char[MAXSTRINGSIZE];
-  pseudopotpath = new char[MAXSTRINGSIZE];
   databasepath = new char[MAXSTRINGSIZE];
-  configname = new char[MAXSTRINGSIZE];
-  strcpy(mainname,"pcp");
-  strcpy(defaultpath,"not specified");
-  strcpy(pseudopotpath,"not specified");
-  configname[0]='\0';
+  strncpy(defaultpath,"not specified", MAXSTRINGSIZE);
 };
 
@@ -121,298 +45,7 @@
 config::~config()
 {
-  delete[](mainname);
   delete[](defaultpath);
-  delete[](pseudopotpath);
   delete[](databasepath);
-  delete[](configname);
 };
-
-/** Displays menu for editing each entry of the config file.
- * Nothing fancy here, just lots of std::cout's for the menu and a switch/case
- * for each entry of the config file structure.
- */
-void config::Edit()
-{
-  char choice;
-
-  do {
-    std::cout << "===========EDIT CONFIGURATION============================" << std::endl;
-    std::cout << " A - mainname (prefix for all runtime files)" << std::endl;
-    std::cout << " B - Default path (for runtime files)" << std::endl;
-    std::cout << " C - Path of pseudopotential files" << std::endl;
-    std::cout << " D - Number of coefficient sharing processes" << std::endl;
-    std::cout << " E - Number of wave function sharing processes" << std::endl;
-    std::cout << " F - 0: Don't output density for OpenDX, 1: do" << std::endl;
-    std::cout << " G - 0: Don't output physical data, 1: do" << std::endl;
-    std::cout << " H - 0: Don't output densities of each unperturbed orbital for OpenDX, 1: do" << std::endl;
-    std::cout << " I - 0: Don't output current density for OpenDX, 1: do" << std::endl;
-    std::cout << " J - 0: Don't do the full current calculation, 1: do" << std::endl;
-    std::cout << " K - 0: Don't do perturbation calculation to obtain susceptibility and shielding, 1: do" << std::endl;
-    std::cout << " L - 0: Wannier centres as calculated, 1: common centre for all, 2: unite centres according to spread, 3: cell centre, 4: shifted to nearest grid point" << std::endl;
-    std::cout << " M - Absolute begin of unphysical sawtooth transfer for position operator within cell" << std::endl;
-    std::cout << " N - (0,1,2) x,y,z-plane to do two-dimensional current vector cut" << std::endl;
-    std::cout << " O - Absolute position along vector cut axis for cut plane" << std::endl;
-    std::cout << " P - Additional Gram-Schmidt-Orthonormalization to stabilize numerics" << std::endl;
-    std::cout << " Q - Initial integer value of random number generator" << std::endl;
-    std::cout << " R - for perturbation 0, for structure optimization defines upper limit of iterations" << std::endl;
-    std::cout << " T - Output visual after ...th step" << std::endl;
-    std::cout << " U - Output source densities of wave functions after ...th step" << std::endl;
-    std::cout << " X - minimization iterations per wave function, if unsure leave at default value 0" << std::endl;
-    std::cout << " Y - tolerance value for total spread in iterative Jacobi diagonalization" << std::endl;
-    std::cout << " Z - Maximum number of minimization iterations" << std::endl;
-    std::cout << " a - Relative change in total energy to stop min. iteration" << std::endl;
-    std::cout << " b - Relative change in kinetic energy to stop min. iteration" << std::endl;
-    std::cout << " c - Check stop conditions every ..th step during min. iteration" << std::endl;
-    std::cout << " e - Maximum number of minimization iterations during initial level" << std::endl;
-    std::cout << " f - Relative change in total energy to stop min. iteration during initial level" << std::endl;
-    std::cout << " g - Relative change in kinetic energy to stop min. iteration during initial level" << std::endl;
-    std::cout << " h - Check stop conditions every ..th step during min. iteration during initial level" << std::endl;
-//    std::cout << " j - six lower diagonal entries of matrix, defining the unit cell" << std::endl;
-    std::cout << " k - Energy cutoff of plane wave basis in Hartree" << std::endl;
-    std::cout << " l - Maximum number of levels in multi-level-ansatz" << std::endl;
-    std::cout << " m - Factor by which grid nodes increase between standard and upper level" << std::endl;
-    std::cout << " n - 0: Don't use RiemannTensor, 1: Do" << std::endl;
-    std::cout << " o - Factor by which grid nodes increase between Riemann and standard(?) level" << std::endl;
-    std::cout << " p - Number of Riemann levels" << std::endl;
-    std::cout << " r - 0: Don't Use RiemannTensor, 1: Do" << std::endl;
-    std::cout << " s - 0: Doubly occupied orbitals, 1: Up-/Down-Orbitals" << std::endl;
-    std::cout << " t - Number of orbitals (depends pn SpinType)" << std::endl;
-    std::cout << " u - Number of SpinUp orbitals (depends on SpinType)" << std::endl;
-    std::cout << " v - Number of SpinDown orbitals (depends on SpinType)" << std::endl;
-    std::cout << " w - Number of additional, unoccupied orbitals" << std::endl;
-    std::cout << " x - radial cutoff for ewald summation in Bohrradii" << std::endl;
-    std::cout << " y - 0: Don't do structure optimization beforehand, 1: Do" << std::endl;
-    std::cout << " z - 0: Units are in Bohr radii, 1: units are in Aengstrom" << std::endl;
-    std::cout << " i - 0: Coordinates given in file are absolute, 1: ... are relative to unit cell" << std::endl;
-    std::cout << "=========================================================" << std::endl;
-    std::cout << "INPUT: " << std::endl;
-    cin >> choice;
-
-    switch (choice) {
-        case 'A': // mainname
-          std::cout << "Old: " << config::mainname << "\t new: " << std::endl;
-          cin >> config::mainname;
-          break;
-        case 'B': // defaultpath
-          std::cout << "Old: " << config::defaultpath << "\t new: " << std::endl;
-          cin >> config::defaultpath;
-          break;
-        case 'C': // pseudopotpath
-          std::cout << "Old: " << config::pseudopotpath << "\t new: " << std::endl;
-          cin >> config::pseudopotpath;
-          break;
-
-        case 'D': // ProcPEGamma
-          std::cout << "Old: " << config::ProcPEGamma << "\t new: " << std::endl;
-          cin >> config::ProcPEGamma;
-          break;
-        case 'E': // ProcPEPsi
-          std::cout << "Old: " << config::ProcPEPsi << "\t new: " << std::endl;
-          cin >> config::ProcPEPsi;
-          break;
-        case 'F': // DoOutVis
-          std::cout << "Old: " << config::DoOutVis << "\t new: " << std::endl;
-          cin >> config::DoOutVis;
-          break;
-        case 'G': // DoOutMes
-          std::cout << "Old: " << config::DoOutMes << "\t new: " << std::endl;
-          cin >> config::DoOutMes;
-          break;
-        case 'H': // DoOutOrbitals
-          std::cout << "Old: " << config::DoOutOrbitals << "\t new: " << std::endl;
-          cin >> config::DoOutOrbitals;
-          break;
-        case 'I': // DoOutCurrent
-          std::cout << "Old: " << config::DoOutCurrent << "\t new: " << std::endl;
-          cin >> config::DoOutCurrent;
-          break;
-        case 'J': // DoFullCurrent
-          std::cout << "Old: " << config::DoFullCurrent << "\t new: " << std::endl;
-          cin >> config::DoFullCurrent;
-          break;
-        case 'K': // DoPerturbation
-          std::cout << "Old: " << config::DoPerturbation << "\t new: " << std::endl;
-          cin >> config::DoPerturbation;
-          break;
-        case 'L': // CommonWannier
-          std::cout << "Old: " << config::CommonWannier << "\t new: " << std::endl;
-          cin >> config::CommonWannier;
-          break;
-        case 'M': // SawtoothStart
-          std::cout << "Old: " << config::SawtoothStart << "\t new: " << std::endl;
-          cin >> config::SawtoothStart;
-          break;
-        case 'N': // VectorPlane
-          std::cout << "Old: " << config::VectorPlane << "\t new: " << std::endl;
-          cin >> config::VectorPlane;
-          break;
-        case 'O': // VectorCut
-          std::cout << "Old: " << config::VectorCut << "\t new: " << std::endl;
-          cin >> config::VectorCut;
-          break;
-        case 'P': // UseAddGramSch
-          std::cout << "Old: " << config::UseAddGramSch << "\t new: " << std::endl;
-          cin >> config::UseAddGramSch;
-          break;
-        case 'Q': // Seed
-          std::cout << "Old: " << config::Seed << "\t new: " << std::endl;
-          cin >> config::Seed;
-          break;
-
-        case 'R': // MaxOuterStep
-          std::cout << "Old: " << config::MaxOuterStep << "\t new: " << std::endl;
-          cin >> config::MaxOuterStep;
-          break;
-        case 'T': // OutVisStep
-          std::cout << "Old: " << config::OutVisStep << "\t new: " << std::endl;
-          cin >> config::OutVisStep;
-          break;
-        case 'U': // OutSrcStep
-          std::cout << "Old: " << config::OutSrcStep << "\t new: " << std::endl;
-          cin >> config::OutSrcStep;
-          break;
-        case 'X': // MaxPsiStep
-          std::cout << "Old: " << config::MaxPsiStep << "\t new: " << std::endl;
-          cin >> config::MaxPsiStep;
-          break;
-        case 'Y': // EpsWannier
-          std::cout << "Old: " << config::EpsWannier << "\t new: " << std::endl;
-          cin >> config::EpsWannier;
-          break;
-
-        case 'Z': // MaxMinStep
-          std::cout << "Old: " << config::MaxMinStep << "\t new: " << std::endl;
-          cin >> config::MaxMinStep;
-          break;
-        case 'a': // RelEpsTotalEnergy
-          std::cout << "Old: " << config::RelEpsTotalEnergy << "\t new: " << std::endl;
-          cin >> config::RelEpsTotalEnergy;
-          break;
-        case 'b': // RelEpsKineticEnergy
-          std::cout << "Old: " << config::RelEpsKineticEnergy << "\t new: " << std::endl;
-          cin >> config::RelEpsKineticEnergy;
-          break;
-        case 'c': // MaxMinStopStep
-          std::cout << "Old: " << config::MaxMinStopStep << "\t new: " << std::endl;
-          cin >> config::MaxMinStopStep;
-          break;
-        case 'e': // MaxInitMinStep
-          std::cout << "Old: " << config::MaxInitMinStep << "\t new: " << std::endl;
-          cin >> config::MaxInitMinStep;
-          break;
-        case 'f': // InitRelEpsTotalEnergy
-          std::cout << "Old: " << config::InitRelEpsTotalEnergy << "\t new: " << std::endl;
-          cin >> config::InitRelEpsTotalEnergy;
-          break;
-        case 'g': // InitRelEpsKineticEnergy
-          std::cout << "Old: " << config::InitRelEpsKineticEnergy << "\t new: " << std::endl;
-          cin >> config::InitRelEpsKineticEnergy;
-          break;
-        case 'h': // InitMaxMinStopStep
-          std::cout << "Old: " << config::InitMaxMinStopStep << "\t new: " << std::endl;
-          cin >> config::InitMaxMinStopStep;
-          break;
-
-//        case 'j': // BoxLength
-//          std::cout << "enter lower triadiagonalo form of basis matrix" << std::endl << std::endl;
-//          double * const cell_size = World::getInstance().getDomain();
-//          for (int i=0;i<6;i++) {
-//            std::cout << "Cell size" << i << ": ";
-//            cin >> cell_size[i];
-//          }
-//          break;
-
-        case 'k': // ECut
-          std::cout << "Old: " << config::ECut << "\t new: " << std::endl;
-          cin >> config::ECut;
-          break;
-        case 'l': // MaxLevel
-          std::cout << "Old: " << config::MaxLevel << "\t new: " << std::endl;
-          cin >> config::MaxLevel;
-          break;
-        case 'm': // RiemannTensor
-          std::cout << "Old: " << config::RiemannTensor << "\t new: " << std::endl;
-          cin >> config::RiemannTensor;
-          break;
-        case 'n': // LevRFactor
-          std::cout << "Old: " << config::LevRFactor << "\t new: " << std::endl;
-          cin >> config::LevRFactor;
-          break;
-        case 'o': // RiemannLevel
-          std::cout << "Old: " << config::RiemannLevel << "\t new: " << std::endl;
-          cin >> config::RiemannLevel;
-          break;
-        case 'p': // Lev0Factor
-          std::cout << "Old: " << config::Lev0Factor << "\t new: " << std::endl;
-          cin >> config::Lev0Factor;
-          break;
-        case 'r': // RTActualUse
-          std::cout << "Old: " << config::RTActualUse << "\t new: " << std::endl;
-          cin >> config::RTActualUse;
-          break;
-        case 's': // PsiType
-          std::cout << "Old: " << config::PsiType << "\t new: " << std::endl;
-          cin >> config::PsiType;
-          break;
-        case 't': // MaxPsiDouble
-          std::cout << "Old: " << config::MaxPsiDouble << "\t new: " << std::endl;
-          cin >> config::MaxPsiDouble;
-          break;
-        case 'u': // PsiMaxNoUp
-          std::cout << "Old: " << config::PsiMaxNoUp << "\t new: " << std::endl;
-          cin >> config::PsiMaxNoUp;
-          break;
-        case 'v': // PsiMaxNoDown
-          std::cout << "Old: " << config::PsiMaxNoDown << "\t new: " << std::endl;
-          cin >> config::PsiMaxNoDown;
-          break;
-        case 'w': // AddPsis
-          std::cout << "Old: " << config::AddPsis << "\t new: " << std::endl;
-          cin >> config::AddPsis;
-          break;
-
-        case 'x': // RCut
-          std::cout << "Old: " << config::RCut << "\t new: " << std::endl;
-          cin >> config::RCut;
-          break;
-        case 'y': // StructOpt
-          std::cout << "Old: " << config::StructOpt << "\t new: " << std::endl;
-          cin >> config::StructOpt;
-          break;
-        case 'z': // IsAngstroem
-          std::cout << "Old: " << config::IsAngstroem << "\t new: " << std::endl;
-          cin >> config::IsAngstroem;
-          break;
-        case 'i': // RelativeCoord
-          std::cout << "Old: " << config::RelativeCoord << "\t new: " << std::endl;
-          cin >> config::RelativeCoord;
-          break;
-    };
-  } while (choice != 'q');
-};
-
-/** Tests whether a given configuration file adhears to old or new syntax.
- * \param *filename filename of config file to be tested
- * \param *periode pointer to a periodentafel class with all elements
- * \return 0 - old syntax, 1 - new syntax, -1 - unknown syntax
- */
-int config::TestSyntax(const char * const filename, const periodentafel * const periode) const
-{
-  int test;
-  ifstream file(filename);
-
-  // search file for keyword: ProcPEGamma (new syntax)
-  if (ParseForParameter(1,&file,"ProcPEGamma", 0, 1, 1, int_type, &test, 1, optional)) {
-    file.close();
-    return 1;
-  }
-  // search file for keyword: ProcsGammaPsi (old syntax)
-  if (ParseForParameter(1,&file,"ProcsGammaPsi", 0, 1, 1, int_type, &test, 1, optional)) {
-    file.close();
-    return 0;
-  }
-  file.close();
-  return -1;
-}
 
 /** Returns private config::IsAngstroem.
